Index: issm/trunk/src/c/classes/Params/DoubleMatArrayParam.cpp
===================================================================
--- issm/trunk/src/c/classes/Params/DoubleMatArrayParam.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Params/DoubleMatArrayParam.cpp	(revision 18301)
@@ -16,11 +16,9 @@
 
 /*DoubleMatArrayParam constructors and destructor*/
-/*FUNCTION DoubleMatArrayParam::DoubleMatArrayParam(){{{*/
-DoubleMatArrayParam::DoubleMatArrayParam(){
+DoubleMatArrayParam::DoubleMatArrayParam(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION DoubleMatArrayParam::DoubleMatArrayParam(int enum_type,IssmDouble** array, int M, int* mdim_array, int* ndim_array){{{*/
-DoubleMatArrayParam::DoubleMatArrayParam(int in_enum_type,IssmDouble** in_array, int in_M, int* in_mdim_array, int* in_ndim_array){
+DoubleMatArrayParam::DoubleMatArrayParam(int in_enum_type,IssmDouble** in_array, int in_M, int* in_mdim_array, int* in_ndim_array){/*{{{*/
 
 	int i;
@@ -59,6 +57,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleMatArrayParam::~DoubleMatArrayParam(){{{*/
-DoubleMatArrayParam::~DoubleMatArrayParam(){
+DoubleMatArrayParam::~DoubleMatArrayParam(){/*{{{*/
 
 	int i;
@@ -79,6 +76,5 @@
 
 /*Object virtual functions definitions:*/
-/*FUNCTION DoubleMatArrayParam::Echo {{{*/
-void DoubleMatArrayParam::Echo(void){
+void DoubleMatArrayParam::Echo(void){/*{{{*/
 
 	_printf_("DoubleMatArrayParam:\n");
@@ -89,6 +85,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleMatArrayParam::DeepEcho{{{*/
-void DoubleMatArrayParam::DeepEcho(void){
+void DoubleMatArrayParam::DeepEcho(void){/*{{{*/
 
 	int i,j,k;
@@ -113,9 +108,7 @@
 }
 /*}}}*/
-/*FUNCTION DoubleMatArrayParam::Id{{{*/
-int    DoubleMatArrayParam::Id(void){ return -1; }
-/*}}}*/
-/*FUNCTION DoubleMatArrayParam::ObjectEnum{{{*/
-int DoubleMatArrayParam::ObjectEnum(void){
+int    DoubleMatArrayParam::Id(void){ return -1; }/*{{{*/
+/*}}}*/
+int DoubleMatArrayParam::ObjectEnum(void){/*{{{*/
 
 	return DoubleMatArrayParamEnum;
@@ -123,6 +116,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleMatArrayParam::copy{{{*/
-Object* DoubleMatArrayParam::copy() {
+Object* DoubleMatArrayParam::copy() {/*{{{*/
 
 	return new DoubleMatArrayParam(this->enum_type,this->array, this->M, this->mdim_array,this->ndim_array);
@@ -132,6 +124,5 @@
 
 /*DoubleMatArrayParam virtual functions definitions: */
-/*FUNCTION DoubleMatArrayParam::GetParameterValue(IssmDouble*** parray, int* pM,int** pmdims, int** pndims){{{*/
-void  DoubleMatArrayParam::GetParameterValue(IssmDouble*** pout_array, int* pout_M,int** pout_mdim_array, int** pout_ndim_array){
+void  DoubleMatArrayParam::GetParameterValue(IssmDouble*** pout_array, int* pout_M,int** pout_mdim_array, int** pout_ndim_array){/*{{{*/
 
 	int i,m,n;
@@ -183,6 +174,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleMatArrayParam::SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){{{*/
-void  DoubleMatArrayParam::SetValue(IssmDouble** in_array, int in_M, int* in_mdim_array, int* in_ndim_array){
+void  DoubleMatArrayParam::SetValue(IssmDouble** in_array, int in_M, int* in_mdim_array, int* in_ndim_array){/*{{{*/
 
 	int i,m,n;
Index: issm/trunk/src/c/classes/Params/DoubleMatParam.cpp
===================================================================
--- issm/trunk/src/c/classes/Params/DoubleMatParam.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Params/DoubleMatParam.cpp	(revision 18301)
@@ -16,11 +16,9 @@
 
 /*DoubleMatParam constructors and destructor*/
-/*FUNCTION DoubleMatParam::DoubleMatParam(){{{*/
-DoubleMatParam::DoubleMatParam(){
+DoubleMatParam::DoubleMatParam(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION DoubleMatParam::DoubleMatParam(int enum_type,IssmDoubleMat value){{{*/
-DoubleMatParam::DoubleMatParam(int in_enum_type,IssmDouble* in_value, int in_M,int in_N){
+DoubleMatParam::DoubleMatParam(int in_enum_type,IssmDouble* in_value, int in_M,int in_N){/*{{{*/
 
 	enum_type=in_enum_type;
@@ -32,6 +30,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleMatParam::~DoubleMatParam(){{{*/
-DoubleMatParam::~DoubleMatParam(){
+DoubleMatParam::~DoubleMatParam(){/*{{{*/
 	xDelete<IssmDouble>(value);
 	return;
@@ -40,6 +37,5 @@
 
 /*Object virtual functions definitions:*/
-/*FUNCTION DoubleMatParam::Echo {{{*/
-void DoubleMatParam::Echo(void){
+void DoubleMatParam::Echo(void){/*{{{*/
 
 	_printf_("DoubleMatParam:\n");
@@ -49,6 +45,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleMatParam::DeepEcho{{{*/
-void DoubleMatParam::DeepEcho(void){
+void DoubleMatParam::DeepEcho(void){/*{{{*/
 
 	int i,j;
@@ -64,9 +59,7 @@
 }
 /*}}}*/
-/*FUNCTION DoubleMatParam::Id{{{*/
-int    DoubleMatParam::Id(void){ return -1; }
+int    DoubleMatParam::Id(void){ return -1; }/*{{{*/
 /*}}}*/
-/*FUNCTION DoubleMatParam::ObjectEnum{{{*/
-int DoubleMatParam::ObjectEnum(void){
+int DoubleMatParam::ObjectEnum(void){/*{{{*/
 
 	return DoubleMatParamEnum;
@@ -74,6 +67,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleMatParam::copy{{{*/
-Object* DoubleMatParam::copy() {
+Object* DoubleMatParam::copy() {/*{{{*/
 
 	return new DoubleMatParam(this->enum_type,this->value,this->M,this->N);
@@ -83,6 +75,5 @@
 
 /*DoubleMatParam virtual functions definitions: */
-/*FUNCTION DoubleMatParam::GetParameterValue(IssmDouble** pIssmDoublearray,int* pM,int* pN){{{*/
-void  DoubleMatParam::GetParameterValue(IssmDouble** pIssmDoublearray,int* pM,int* pN){
+void  DoubleMatParam::GetParameterValue(IssmDouble** pIssmDoublearray,int* pM,int* pN){/*{{{*/
 	IssmDouble* output=NULL;
 
@@ -96,11 +87,9 @@
 }
 /*}}}*/
-/*FUNCTION DoubleMatParam::GetParameterValue(int** pintarray,int* pM,int* pN){{{*/
-void  DoubleMatParam::GetParameterValue(int** pintarray,int* pM,int* pN){
+void  DoubleMatParam::GetParameterValue(int** pintarray,int* pM,int* pN){/*{{{*/
 	_error_("DoubleMat of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot return an array of int");
 }
 /*}}}*/
-/*FUNCTION DoubleMatParam::SetValue{{{*/
-void  DoubleMatParam::SetValue(IssmDouble* IssmDoublearray,int in_M,int in_N){
+void  DoubleMatParam::SetValue(IssmDouble* IssmDoublearray,int in_M,int in_N){/*{{{*/
 
 	/*avoid leak: */
Index: issm/trunk/src/c/classes/Params/DoubleParam.cpp
===================================================================
--- issm/trunk/src/c/classes/Params/DoubleParam.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Params/DoubleParam.cpp	(revision 18301)
@@ -13,11 +13,9 @@
 
 /*DoubleParam constructors and destructor*/
-/*FUNCTION DoubleParam::DoubleParam(){{{*/
-DoubleParam::DoubleParam(){
+DoubleParam::DoubleParam(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION DoubleParam::DoubleParam(int enum_type,IssmDouble value){{{*/
-DoubleParam::DoubleParam(int in_enum_type,IssmDouble in_value){
+DoubleParam::DoubleParam(int in_enum_type,IssmDouble in_value){/*{{{*/
 
 	enum_type=in_enum_type;
@@ -25,6 +23,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleParam::~DoubleParam(){{{*/
-DoubleParam::~DoubleParam(){
+DoubleParam::~DoubleParam(){/*{{{*/
 	return;
 }
@@ -32,20 +29,16 @@
 
 /*Object virtual functions definitions:*/
-/*FUNCTION DoubleParam::Echo {{{*/
-void DoubleParam::Echo(void){
+void DoubleParam::Echo(void){/*{{{*/
 	this->DeepEcho();
 }
 /*}}}*/
-/*FUNCTION DoubleParam::DeepEcho{{{*/
-void DoubleParam::DeepEcho(void){
+void DoubleParam::DeepEcho(void){/*{{{*/
 
 	_printf_(setw(22)<<"   DoubleParam "<<setw(35)<<left<<EnumToStringx(this->enum_type)<<" "<<this->value<<"\n");
 }
 /*}}}*/
-/*FUNCTION DoubleParam::Id{{{*/
-int    DoubleParam::Id(void){ return -1; }
+int  DoubleParam::Id(void){ return -1; }/*{{{*/
 /*}}}*/
-/*FUNCTION DoubleParam::ObjectEnum{{{*/
-int DoubleParam::ObjectEnum(void){
+int  DoubleParam::ObjectEnum(void){/*{{{*/
 
 	return DoubleParamEnum;
@@ -53,6 +46,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleParam::copy{{{*/
-Object* DoubleParam::copy() {
+Object* DoubleParam::copy() {/*{{{*/
 
 	return new DoubleParam(this->enum_type,this->value);
@@ -62,31 +54,25 @@
 
 /*DoubleParam virtual functions definitions: */
-/*FUNCTION DoubleParam::GetParameterValue(int* pinteger){{{*/
-void DoubleParam::GetParameterValue(int* pinteger){
+void DoubleParam::GetParameterValue(int* pinteger){/*{{{*/
 	_error_("Double param of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot return an integer");
 }
 /*}}}*/
-/*FUNCTION DoubleParam::GetParameterValue(bool* pbool){{{*/
-void DoubleParam::GetParameterValue(bool* pbool){
+void DoubleParam::GetParameterValue(bool* pbool){/*{{{*/
 	_error_("Double param of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot return an bool");
 }
 /*}}}*/
-/*FUNCTION DoubleParam::GetParameterValue(int** pintarray,int* pM){{{*/
-void DoubleParam::GetParameterValue(int** pintarray,int* pM){
+void DoubleParam::GetParameterValue(int** pintarray,int* pM){/*{{{*/
 	_error_("Double param of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot return an array of integers");
 }
 /*}}}*/
-/*FUNCTION DoubleParam::GetParameterValue(int** pintarray,int* pM,int* pN){{{*/
-void DoubleParam::GetParameterValue(int** pintarray,int* pM,int* pN){
+void DoubleParam::GetParameterValue(int** pintarray,int* pM,int* pN){/*{{{*/
 	_error_("Double param of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot return an array of integers");
 }
 /*}}}*/
-/*FUNCTION DoubleParam::GetParameterValue(IssmDouble** pIssmDoublearray,int* pM){{{*/
-void DoubleParam::GetParameterValue(IssmDouble** pIssmDoublearray,int* pM){
+void DoubleParam::GetParameterValue(IssmDouble** pIssmDoublearray,int* pM){/*{{{*/
 	_error_("Double param of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot return an array of IssmDouble");
 }
 /*}}}*/
-/*FUNCTION DoubleParam::GetParameterValue(IssmDouble** pIssmDoublearray,int* pM,int* pN){{{*/
-void DoubleParam::GetParameterValue(IssmDouble** pIssmDoublearray,int* pM,int* pN){
+void DoubleParam::GetParameterValue(IssmDouble** pIssmDoublearray,int* pM,int* pN){/*{{{*/
 	_error_("Double param of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot return an array of IssmDouble");
 }
Index: issm/trunk/src/c/classes/Params/DoubleTransientMatParam.cpp
===================================================================
--- issm/trunk/src/c/classes/Params/DoubleTransientMatParam.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Params/DoubleTransientMatParam.cpp	(revision 18301)
@@ -15,6 +15,5 @@
 /*}}}*/
 
-/*FUNCTION DoubleTransientMatParam::DoubleTransientMatParam(int enum_type,IssmDoubleMat value){{{*/
-DoubleTransientMatParam::DoubleTransientMatParam(int in_enum_type,IssmDouble* in_value, int in_M,int in_N):DoubleMatParam(in_enum_type,in_value,in_M,in_N){
+DoubleTransientMatParam::DoubleTransientMatParam(int in_enum_type,IssmDouble* in_value, int in_M,int in_N):DoubleMatParam(in_enum_type,in_value,in_M,in_N){/*{{{*/
 }
 /*}}}*/
Index: issm/trunk/src/c/classes/Params/DoubleVecParam.cpp
===================================================================
--- issm/trunk/src/c/classes/Params/DoubleVecParam.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Params/DoubleVecParam.cpp	(revision 18301)
@@ -16,11 +16,9 @@
 
 /*DoubleVecParam constructors and destructor*/
-/*FUNCTION DoubleVecParam::DoubleVecParam(){{{*/
-DoubleVecParam::DoubleVecParam(){
+DoubleVecParam::DoubleVecParam(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION DoubleVecParam::DoubleVecParam(int enum_type,IssmDoubleVec values,int M){{{*/
-DoubleVecParam::DoubleVecParam(int in_enum_type,IssmDouble* in_values, int in_M){
+DoubleVecParam::DoubleVecParam(int in_enum_type,IssmDouble* in_values, int in_M){/*{{{*/
 
 	enum_type=in_enum_type;
@@ -31,6 +29,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleVecParam::~DoubleVecParam(){{{*/
-DoubleVecParam::~DoubleVecParam(){
+DoubleVecParam::~DoubleVecParam(){/*{{{*/
 	xDelete<IssmDouble>(values);
 	return;
@@ -39,6 +36,5 @@
 
 /*Object virtual functions definitions:*/
-/*FUNCTION DoubleVecParam::Echo {{{*/
-void DoubleVecParam::Echo(void){
+void DoubleVecParam::Echo(void){/*{{{*/
 
 	_printf_(setw(22)<<"   DoubleVecParam "<<setw(35)<<left<<EnumToStringx(this->enum_type)<<" size: "<<this->M<<"\n");
@@ -46,6 +42,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleVecParam::DeepEcho{{{*/
-void DoubleVecParam::DeepEcho(void){
+void DoubleVecParam::DeepEcho(void){/*{{{*/
 	_printf_(setw(22)<<"   DoubleVecParam "<<setw(35)<<left<<EnumToStringx(this->enum_type)<<" "<<"[");
 	for(int i=0;i<this->M;i++) _printf_(" "<< this->values[i]);
@@ -53,9 +48,7 @@
 }
 /*}}}*/
-/*FUNCTION DoubleVecParam::Id{{{*/
-int    DoubleVecParam::Id(void){ return -1; }
+int    DoubleVecParam::Id(void){ return -1; }/*{{{*/
 /*}}}*/
-/*FUNCTION DoubleVecParam::ObjectEnum{{{*/
-int DoubleVecParam::ObjectEnum(void){
+int DoubleVecParam::ObjectEnum(void){/*{{{*/
 
 	return DoubleVecParamEnum;
@@ -63,6 +56,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleVecParam::copy{{{*/
-Object* DoubleVecParam::copy() {
+Object* DoubleVecParam::copy() {/*{{{*/
 
 	return new DoubleVecParam(this->enum_type,this->values,this->M);
@@ -72,6 +64,5 @@
 
 /*DoubleVecParam virtual functions definitions: */
-/*FUNCTION DoubleVecParam::GetParameterValue(IssmDouble** pIssmDoublearray,int* pM){{{*/
-void  DoubleVecParam::GetParameterValue(IssmDouble** pIssmDoublearray,int* pM){
+void  DoubleVecParam::GetParameterValue(IssmDouble** pIssmDoublearray,int* pM){/*{{{*/
 	IssmDouble* output=NULL;
 	int M;
@@ -86,6 +77,5 @@
 }
 /*}}}*/
-/*FUNCTION DoubleVecParam::GetParameterValue(IssmDouble** pIssmDoublearray,int* pM){{{*/
-void  DoubleVecParam::GetParameterValue(IssmDouble** pIssmDoublearray,int* pM,int* pN){
+void  DoubleVecParam::GetParameterValue(IssmDouble** pIssmDoublearray,int* pM,int* pN){/*{{{*/
 	IssmDouble* output=NULL;
 	int M;
@@ -103,11 +93,9 @@
 }
 /*}}}*/
-/*FUNCTION DoubleVecParam::GetParameterValue(int** pintarray,int* pM){{{*/
-void  DoubleVecParam::GetParameterValue(int** pintarray,int* pM){
+void  DoubleVecParam::GetParameterValue(int** pintarray,int* pM){/*{{{*/
 	_error_("DoubleVec param of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot return an array of int");
 }
 /*}}}*/
-/*FUNCTION DoubleVecParam::SetValue{{{*/
-void  DoubleVecParam::SetValue(IssmDouble* IssmDoublearray,int in_M){
+void  DoubleVecParam::SetValue(IssmDouble* IssmDoublearray,int in_M){/*{{{*/
 
 	/*avoid leak: */
Index: issm/trunk/src/c/classes/Params/FileParam.cpp
===================================================================
--- issm/trunk/src/c/classes/Params/FileParam.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Params/FileParam.cpp	(revision 18301)
@@ -16,11 +16,9 @@
 
 /*FileParam constructors and destructor*/
-/*FUNCTION FileParam::FileParam(){{{*/
-FileParam::FileParam(){
+FileParam::FileParam(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION FileParam::FileParam(int enum_type,FILE *value){{{*/
-FileParam::FileParam(int in_enum_type,FILE* in_value){
+FileParam::FileParam(int in_enum_type,FILE* in_value){/*{{{*/
 
 	enum_type=in_enum_type;
@@ -28,6 +26,5 @@
 }
 /*}}}*/
-/*FUNCTION FileParam::~FileParam(){{{*/
-FileParam::~FileParam(){
+FileParam::~FileParam(){/*{{{*/
 	return;
 }
@@ -35,20 +32,16 @@
 
 /*Object virtual functions definitions:*/
-/*FUNCTION FileParam::Echo {{{*/
-void FileParam::Echo(void){
+void FileParam::Echo(void){/*{{{*/
 	this->DeepEcho();
 }
 /*}}}*/
-/*FUNCTION FileParam::DeepEcho{{{*/
-void FileParam::DeepEcho(void){
+void FileParam::DeepEcho(void){/*{{{*/
 
 	_printf_(setw(22)<<"   FileParam "<<setw(35)<<left<<EnumToStringx(this->enum_type)<<" "<<this->value<<"\n");
 }
 /*}}}*/
-/*FUNCTION FileParam::Id{{{*/
-int    FileParam::Id(void){ return -1; }
+int    FileParam::Id(void){ return -1; }/*{{{*/
 /*}}}*/
-/*FUNCTION FileParam::ObjectEnum{{{*/
-int FileParam::ObjectEnum(void){
+int FileParam::ObjectEnum(void){/*{{{*/
 
 	return FileParamEnum;
@@ -56,6 +49,5 @@
 }
 /*}}}*/
-/*FUNCTION FileParam::copy{{{*/
-Object* FileParam::copy() {
+Object* FileParam::copy() {/*{{{*/
 
 	return new FileParam(this->enum_type,this->value);
Index: issm/trunk/src/c/classes/Params/IntMatParam.cpp
===================================================================
--- issm/trunk/src/c/classes/Params/IntMatParam.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Params/IntMatParam.cpp	(revision 18301)
@@ -16,11 +16,9 @@
 
 /*IntMatParam constructors and destructor*/
-/*FUNCTION IntMatParam::IntMatParam(){{{*/
-IntMatParam::IntMatParam(){
+IntMatParam::IntMatParam(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION IntMatParam::IntMatParam(int enum_type,IssmIntMat value){{{*/
-IntMatParam::IntMatParam(int in_enum_type,int* in_value, int in_M,int in_N){
+IntMatParam::IntMatParam(int in_enum_type,int* in_value, int in_M,int in_N){/*{{{*/
 
 	enum_type=in_enum_type;
@@ -32,6 +30,5 @@
 }
 /*}}}*/
-/*FUNCTION IntMatParam::~IntMatParam(){{{*/
-IntMatParam::~IntMatParam(){
+IntMatParam::~IntMatParam(){/*{{{*/
 	xDelete<int>(value);
 	return;
@@ -40,6 +37,5 @@
 
 /*Object virtual functions definitions:*/
-/*FUNCTION IntMatParam::Echo {{{*/
-void IntMatParam::Echo(void){
+void IntMatParam::Echo(void){/*{{{*/
 
 	_printf_("IntMatParam:\n");
@@ -49,6 +45,5 @@
 }
 /*}}}*/
-/*FUNCTION IntMatParam::DeepEcho{{{*/
-void IntMatParam::DeepEcho(void){
+void IntMatParam::DeepEcho(void){/*{{{*/
 
 	int i,j;
@@ -64,9 +59,7 @@
 }
 /*}}}*/
-/*FUNCTION IntMatParam::Id{{{*/
-int    IntMatParam::Id(void){ return -1; }
+int    IntMatParam::Id(void){ return -1; }/*{{{*/
 /*}}}*/
-/*FUNCTION IntMatParam::ObjectEnum{{{*/
-int IntMatParam::ObjectEnum(void){
+int IntMatParam::ObjectEnum(void){/*{{{*/
 
 	return IntMatParamEnum;
@@ -74,6 +67,5 @@
 }
 /*}}}*/
-/*FUNCTION IntMatParam::copy{{{*/
-Object* IntMatParam::copy() {
+Object* IntMatParam::copy() {/*{{{*/
 
 	return new IntMatParam(this->enum_type,this->value,this->M,this->N);
@@ -83,6 +75,5 @@
 
 /*IntMatParam virtual functions definitions: */
-/*FUNCTION IntMatParam::GetParameterValue{{{*/
-void  IntMatParam::GetParameterValue(int** pintarray,int* pM,int* pN){
+void  IntMatParam::GetParameterValue(int** pintarray,int* pM,int* pN){/*{{{*/
 	int* output=NULL;
 
@@ -96,6 +87,5 @@
 }
 /*}}}*/
-/*FUNCTION IntMatParam::SetValue{{{*/
-void  IntMatParam::SetValue(int* intarray,int in_M,int in_N){
+void  IntMatParam::SetValue(int* intarray,int in_M,int in_N){/*{{{*/
 
 	/*avoid leak: */
Index: issm/trunk/src/c/classes/Params/IntParam.cpp
===================================================================
--- issm/trunk/src/c/classes/Params/IntParam.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Params/IntParam.cpp	(revision 18301)
@@ -16,11 +16,9 @@
 
 /*IntParam constructors and destructor*/
-/*FUNCTION IntParam::IntParam(){{{*/
-IntParam::IntParam(){
+IntParam::IntParam(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION IntParam::IntParam(int enum_type,IssmInt value){{{*/
-IntParam::IntParam(int in_enum_type,IssmInt in_value){
+IntParam::IntParam(int in_enum_type,IssmInt in_value){/*{{{*/
 
 	enum_type=in_enum_type;
@@ -28,6 +26,5 @@
 }
 /*}}}*/
-/*FUNCTION IntParam::~IntParam(){{{*/
-IntParam::~IntParam(){
+IntParam::~IntParam(){/*{{{*/
 	return;
 }
@@ -35,20 +32,16 @@
 
 /*Object virtual functions definitions:*/
-/*FUNCTION IntParam::Echo {{{*/
-void IntParam::Echo(void){
+void IntParam::Echo(void){/*{{{*/
 	this->DeepEcho();
 }
 /*}}}*/
-/*FUNCTION IntParam::DeepEcho{{{*/
-void IntParam::DeepEcho(void){
+void IntParam::DeepEcho(void){/*{{{*/
 
 	_printf_(setw(22)<<"   IntParam "<<setw(35)<<left<<EnumToStringx(this->enum_type)<<" "<<this->value<<"\n");
 }
 /*}}}*/
-/*FUNCTION IntParam::Id{{{*/
-int    IntParam::Id(void){ return -1; }
+int    IntParam::Id(void){ return -1; }/*{{{*/
 /*}}}*/
-/*FUNCTION IntParam::ObjectEnum{{{*/
-int IntParam::ObjectEnum(void){
+int IntParam::ObjectEnum(void){/*{{{*/
 
 	return IntParamEnum;
@@ -56,6 +49,5 @@
 }
 /*}}}*/
-/*FUNCTION IntParam::copy{{{*/
-Object* IntParam::copy() {
+Object* IntParam::copy() {/*{{{*/
 
 	return new IntParam(this->enum_type,this->value);
Index: issm/trunk/src/c/classes/Params/IntVecParam.cpp
===================================================================
--- issm/trunk/src/c/classes/Params/IntVecParam.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Params/IntVecParam.cpp	(revision 18301)
@@ -16,11 +16,9 @@
 
 /*IntVecParam constructors and destructor*/
-/*FUNCTION IntVecParam::IntVecParam(){{{*/
-IntVecParam::IntVecParam(){
+IntVecParam::IntVecParam(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION IntVecParam::IntVecParam(int enum_type,int* values,int M){{{*/
-IntVecParam::IntVecParam(int in_enum_type,int* in_values, int in_M){
+IntVecParam::IntVecParam(int in_enum_type,int* in_values, int in_M){/*{{{*/
 
 	enum_type=in_enum_type;
@@ -34,6 +32,5 @@
 }
 /*}}}*/
-/*FUNCTION IntVecParam::IntVecParam(int enum_type,IssmDouble* values,int M){{{*/
-IntVecParam::IntVecParam(int in_enum_type,IssmDouble* in_values, int in_M){
+IntVecParam::IntVecParam(int in_enum_type,IssmDouble* in_values, int in_M){/*{{{*/
 
 	enum_type=in_enum_type;
@@ -47,6 +44,5 @@
 }
 /*}}}*/
-/*FUNCTION IntVecParam::~IntVecParam(){{{*/
-IntVecParam::~IntVecParam(){
+IntVecParam::~IntVecParam(){/*{{{*/
 	xDelete<int>(values);
 	return;
@@ -55,6 +51,5 @@
 
 /*Object virtual functions definitions:*/
-/*FUNCTION IntVecParam::Echo {{{*/
-void IntVecParam::Echo(void){
+void IntVecParam::Echo(void){/*{{{*/
 
 	_printf_("IntVecParam:\n");
@@ -64,6 +59,5 @@
 }
 /*}}}*/
-/*FUNCTION IntVecParam::DeepEcho{{{*/
-void IntVecParam::DeepEcho(void){
+void IntVecParam::DeepEcho(void){/*{{{*/
 
 	int i;
@@ -77,9 +71,7 @@
 }
 /*}}}*/
-/*FUNCTION IntVecParam::Id{{{*/
-int    IntVecParam::Id(void){ return -1; }
+int    IntVecParam::Id(void){ return -1; }/*{{{*/
 /*}}}*/
-/*FUNCTION IntVecParam::ObjectEnum{{{*/
-int IntVecParam::ObjectEnum(void){
+int IntVecParam::ObjectEnum(void){/*{{{*/
 
 	return IntVecParamEnum;
@@ -87,6 +79,5 @@
 }
 /*}}}*/
-/*FUNCTION IntVecParam::copy{{{*/
-Object* IntVecParam::copy() {
+Object* IntVecParam::copy() {/*{{{*/
 
 	return new IntVecParam(this->enum_type,this->values,this->M);
@@ -96,6 +87,5 @@
 
 /*IntVecParam virtual functions definitions: */
-/*FUNCTION IntVecParam::GetParameterValue{{{*/
-void  IntVecParam::GetParameterValue(int** pintarray,int* pM){
+void  IntVecParam::GetParameterValue(int** pintarray,int* pM){/*{{{*/
 	int* output=NULL;
 
@@ -110,6 +100,5 @@
 }
 /*}}}*/
-/*FUNCTION IntVecParam::SetValue{{{*/
-void  IntVecParam::SetValue(int* intarray,int in_M){
+void  IntVecParam::SetValue(int* intarray,int in_M){/*{{{*/
 
 	/*avoid leak: */
Index: issm/trunk/src/c/classes/Params/MatrixParam.cpp
===================================================================
--- issm/trunk/src/c/classes/Params/MatrixParam.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Params/MatrixParam.cpp	(revision 18301)
@@ -16,11 +16,9 @@
 
 /*MatrixParam constructors and destructor*/
-/*FUNCTION MatrixParam::MatrixParam(){{{*/
-MatrixParam::MatrixParam(){
+MatrixParam::MatrixParam(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION MatrixParam::MatrixParam(int enum_type,Matrix<IssmDouble>* value){{{*/
-MatrixParam::MatrixParam(int in_enum_type,Matrix<IssmDouble>* in_value){
+MatrixParam::MatrixParam(int in_enum_type,Matrix<IssmDouble>* in_value){/*{{{*/
 
 	enum_type=in_enum_type;
@@ -32,6 +30,5 @@
 }
 /*}}}*/
-/*FUNCTION MatrixParam::~MatrixParam(){{{*/
-MatrixParam::~MatrixParam(){
+MatrixParam::~MatrixParam(){/*{{{*/
 	delete value;
 }
@@ -39,6 +36,5 @@
 
 /*Object virtual functions definitions:*/
-/*FUNCTION MatrixParam::Echo {{{*/
-void MatrixParam::Echo(void){
+void MatrixParam::Echo(void){/*{{{*/
 
 	_printf_("MatrixParam:\n");
@@ -47,6 +43,5 @@
 }
 /*}}}*/
-/*FUNCTION MatrixParam::DeepEcho{{{*/
-void MatrixParam::DeepEcho(void){
+void MatrixParam::DeepEcho(void){/*{{{*/
 
 	_printf_("MatrixParam:\n");
@@ -55,9 +50,7 @@
 }
 /*}}}*/
-/*FUNCTION MatrixParam::Id{{{*/
-int    MatrixParam::Id(void){ return -1; }
+int    MatrixParam::Id(void){ return -1; }/*{{{*/
 /*}}}*/
-/*FUNCTION MatrixParam::ObjectEnum{{{*/
-int MatrixParam::ObjectEnum(void){
+int MatrixParam::ObjectEnum(void){/*{{{*/
 
 	return MatrixParamEnum;
@@ -65,6 +58,5 @@
 }
 /*}}}*/
-/*FUNCTION MatrixParam::copy{{{*/
-Object* MatrixParam::copy() {
+Object* MatrixParam::copy() {/*{{{*/
 
 	return new MatrixParam(this->enum_type,this->value);
@@ -74,6 +66,5 @@
 
 /*MatrixParam virtual functions definitions: */
-/*FUNCTION MatrixParam::GetParameterValue{{{*/
-void  MatrixParam::GetParameterValue(Matrix<IssmDouble>** poutput){
+void  MatrixParam::GetParameterValue(Matrix<IssmDouble>** poutput){/*{{{*/
 	Matrix<IssmDouble>* output=NULL;
 
@@ -84,6 +75,5 @@
 }
 /*}}}*/
-/*FUNCTION MatrixParam::SetValue{{{*/
-void  MatrixParam::SetValue(Matrix<IssmDouble>* matrix){
+void  MatrixParam::SetValue(Matrix<IssmDouble>* matrix){/*{{{*/
 
 	/*avoid leak: */
